Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.textarea
Class SquareFoldPainter

    java.lang.Object
      org.gjt.sp.jedit.textarea.ShapedFoldPainter
          org.gjt.sp.jedit.textarea.SquareFoldPainter

All Implemented Interfaces:
  FoldPainter

    public class SquareFoldPainter

extends ShapedFoldPainter

Constructor Summary
`SquareFoldPainter()`

Method Summary
`protected void` | `paintFoldShape(java.awt.Graphics2D gfx, int top, int bottom)`

Methods inherited from class org.gjt.sp.jedit.textarea.ShapedFoldPainter
`paintFoldEnd, paintFoldMiddle, paintFoldStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SquareFoldPainter

    public SquareFoldPainter()

Method Detail

### paintFoldShape

    protected void paintFoldShape(java.awt.Graphics2D gfx,
                                  int top,
                                  int bottom)

  Specified by:
    `paintFoldShape` in class `ShapedFoldPainter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD